| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLFormatter Class Reference

This class provides the basic formatting capabilities that are required to turn the Unicode based XML data from the parsers into a form that can be used on non-Unicode based systems, that is, into local or generic text encodings. More...

Inheritance diagram for XMLFormatter:

[legend]
List of all members.

## Public Types

Public Contants
enum | EscapeFlags { NoEscapes, StdEscapes, AttrEscapes, CharEscapes, EscapeFlags_Count, DefaultEscape = 999 }
| EscapeFlags - Different styles of escape flags to control various formatting. More...
enum | UnRepFlags { UnRep_Fail, UnRep_CharRef, UnRep_Replace, DefaultUnRep = 999 }
| UnRepFlags. More...

## Public Member Functions

Constructor and Destructor
| XMLFormatter (const XMLCh *const outEncoding, const XMLCh *const docVersion, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLFormatter (const char *const outEncoding, const char *const docVersion, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLFormatter (const XMLCh *const outEncoding, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLFormatter (const char *const outEncoding, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~XMLFormatter ()
Formatting methods
void | formatBuf (const XMLCh *const toFormat, const unsigned int count, const EscapeFlags escapeFlags=DefaultEscape, const UnRepFlags unrepFlags=DefaultUnRep)
XMLFormatter & | operator<< (const XMLCh *const toFormat)
XMLFormatter & | operator<< (const XMLCh toFormat)
void | writeBOM (const XMLByte *const toFormat, const unsigned int count)
Getter methods
const XMLCh * | getEncodingName () const
const XMLTranscoder * | getTranscoder () const
Setter methods
void | setEscapeFlags (const EscapeFlags newFlags)
void | setUnRepFlags (const UnRepFlags newFlags)
XMLFormatter & | operator<< (const EscapeFlags newFlags)
XMLFormatter & | operator<< (const UnRepFlags newFlags)
Setter methods
EscapeFlags | getEscapeFlags () const
UnRepFlags | getUnRepFlags () const

## Detailed Description

This class provides the basic formatting capabilities that are required to turn the Unicode based XML data from the parsers into a form that can be used on non-Unicode based systems, that is, into local or generic text encodings.

A number of flags are provided to control whether various optional formatting operations are performed.

## Member Enumeration Documentation

enum XMLFormatter::EscapeFlags

EscapeFlags - Different styles of escape flags to control various formatting.

`NoEscapes:` No character needs to be escaped. Just write them out as is.

`StdEscapes:` The following characters need to be escaped:

character | should be escaped and written as
& | &amp;
> | &gt;
" | &quot;
< | &lt;
' | &apos;

`AttrEscapes:` The following characters need to be escaped:

character | should be escaped and written as
& | &amp;
> | &gt;
" | &quot;

`CharEscapes:` The following characters need to be escaped:

character | should be escaped and written as
& | &amp;
> | &gt;

`EscapeFlags_Count:` Special value, do not use directly.

`DefaultEscape:` Special value, do not use directly.

Enumeration values:

  NoEscapes |
  StdEscapes |
  AttrEscapes |
  CharEscapes |
  EscapeFlags_Count |
  DefaultEscape |

enum XMLFormatter::UnRepFlags

UnRepFlags.

The unrepresentable flags that indicate how to react when a character cannot be represented in the target encoding.

`UnRep_Fail:` Fail the operation.

`UnRep_CharRef:` Display the unrepresented character as reference.

`UnRep_Replace:` Replace the unrepresented character with the replacement character.

`DefaultUnRep:` Special value, do not use directly.

Enumeration values:

  UnRep_Fail |
  UnRep_CharRef |
  UnRep_Replace |
  DefaultUnRep |

## Constructor & Destructor Documentation

XMLFormatter::XMLFormatter | ( | const XMLCh *const | outEncoding,
|  | const XMLCh *const | docVersion,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

Parameters:

  | outEncoding | the encoding for the formatted content
  | docVersion |
  | target | the formatTarget where the formatted content is written to
  | escapeFlags | the escape style for certain character
  | unrepFlags | the reaction to unrepresentable character
  | manager | Pointer to the memory manager to be used to allocate objects.

XMLFormatter::XMLFormatter | ( | const char *const | outEncoding,
|  | const char *const | docVersion,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

XMLFormatter::XMLFormatter | ( | const XMLCh *const | outEncoding,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

XMLFormatter::XMLFormatter | ( | const char *const | outEncoding,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

XMLFormatter::~XMLFormatter | ( |  | ) |

## Member Function Documentation

void XMLFormatter::formatBuf | ( | const XMLCh *const | toFormat,
|  | const unsigned int | count,
|  | const EscapeFlags | escapeFlags = `DefaultEscape`,
|  | const UnRepFlags | unrepFlags = `DefaultUnRep`
| ) |

Parameters:

  | toFormat | the string to be formatted
  | count | length of the string
  | escapeFlags | the escape style for formatting toFormat
  | unrepFlags | the reaction for any unrepresentable character in toFormat

const XMLCh * XMLFormatter::getEncodingName | ( |  | ) | const

Returns:
  return the encoding set for the formatted content

XMLFormatter::EscapeFlags XMLFormatter::getEscapeFlags | ( |  | ) | const

Returns:
  return the escape style for the formatted content

const XMLTranscoder * XMLFormatter::getTranscoder | ( |  | ) | const

Returns:
  return the transcoder used internally for transcoding the formatter conent

XMLFormatter::UnRepFlags XMLFormatter::getUnRepFlags | ( |  | ) | const

Returns:
  return the reaction for unrepresentable character

XMLFormatter & XMLFormatter::operator<< | ( | const UnRepFlags | newFlags | ) |

Parameters:

  | newFlags | set the reaction for unrepresentable character

See also:
  setUnRepFlags

XMLFormatter & XMLFormatter::operator<< | ( | const EscapeFlags | newFlags | ) |

Parameters:

  | newFlags | set the escape style for the follow-on formatted content

See also:
  setEscapeFlags

XMLFormatter& XMLFormatter::operator<< | ( | const XMLCh | toFormat | ) |

XMLFormatter& XMLFormatter::operator<< | ( | const XMLCh *const | toFormat | ) |

See also:
  formatBuf

void XMLFormatter::setEscapeFlags | ( | const EscapeFlags | newFlags | ) |

Parameters:

  | newFlags | set the escape style for the follow-on formatted content

void XMLFormatter::setUnRepFlags | ( | const UnRepFlags | newFlags | ) |

Parameters:

  | newFlags | set the reaction for unrepresentable character

void XMLFormatter::writeBOM | ( | const XMLByte *const | toFormat,
|  | const unsigned int | count
| ) |

The documentation for this class was generated from the following file:

- XMLFormatter.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.